# Error and gamma functions

xtensor provides the following error and gamma functions for xexpressions:

Defined in `xtensor/xmath.hpp`

template <class E>
auto `xt::``erf`(E &&e)

  Error function.

  Returns an xfunction for the element-wise error function of e.

  Return
    an xfunction
  Parameters
    - `e`: an xexpression

template <class E>
auto `xt::``erfc`(E &&e)

  Complementary error function.

  Returns an xfunction for the element-wise complementary error function of e, whithout loss of precision for large argument.

  Return
    an xfunction
  Parameters
    - `e`: an xexpression

template <class E>
auto `xt::``tgamma`(E &&e)

  Gamma function.

  Returns an xfunction for the element-wise gamma function of e.

  Return
    an xfunction
  Parameters
    - `e`: an xexpression

template <class E>
auto `xt::``lgamma`(E &&e)

  Natural logarithm of the gamma function.

  Returns an xfunction for the element-wise logarithm of the asbolute value fo the gamma function of e.

  Return
    an xfunction
  Parameters
    - `e`: an xexpression